RDCode: RDKit::AtomRingQuery Class Reference

# RDKit::AtomRingQuery Class Reference

`#include <QueryOps.h>`

Inheritance diagram for RDKit::AtomRingQuery:

List of all members.

## Public Member Functions
| AtomRingQuery ()
| AtomRingQuery (int v)
virtual bool | Match (const ConstAtomPtr what) const
Queries::Query< int, ConstAtomPtr, true > * | copy () const
| returns a copy of this query

## Detailed Description

Definition at line 206 of file QueryOps.h.

## Constructor & Destructor Documentation

RDKit::AtomRingQuery::AtomRingQuery | ( |  | ) | `[inline]`

Definition at line 208 of file QueryOps.h.

References RDKit::queryAtomRingMembership(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDataFunc(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDescription().

Referenced by copy().

RDKit::AtomRingQuery::AtomRingQuery | ( | int | v | ) | `[inline, explicit]`

Definition at line 213 of file QueryOps.h.

References RDKit::queryAtomRingMembership(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDataFunc(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDescription().

## Member Function Documentation

virtual bool RDKit::AtomRingQuery::Match | ( | const ConstAtomPtr | what | ) | const`[inline, virtual]`

Definition at line 219 of file QueryOps.h.

References Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol, Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation(), Queries::queryCmp(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::TypeConvert().

Queries::Query<int,ConstAtomPtr,true>* RDKit::AtomRingQuery::copy | ( |  | ) | const`[inline, virtual]`

returns a copy of this query

Reimplemented from Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 235 of file QueryOps.h.

References AtomRingQuery(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_dataFunc, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation(), Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getTol(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation(), and Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol().

The documentation for this class was generated from the following file:

- QueryOps.h